View Issue Details

IDProjectCategoryView StatusLast Update
0024020mantisbtlocalizationpublic2018-03-04 00:36
ReporteratrolAssigned Tosiebrand 
PrioritynormalSeverityfeatureReproducibilityN/A
Status closedResolutionfixed 
Product Version 
Target Version2.12.0Fixed in Version2.12.0 
Summary0024020: Update supported languages
Description

Translatewiki recently pushed some new language files for Mantis.

The new languages are not offered in UI at the moment.

TagsNo tags attached.

Activities

atrol

atrol

2018-02-19 08:32

developer   ~0058962

PR https://github.com/mantisbt/mantisbt/pull/1303

I added just Georgian, Luxembourgish, Persian and Zazaki.

There are a lot more new language files provided by Translatewiki, but just a few plugin strings are translated, no translation of the Mantis Core.

strings_bengali.txt
strings_bosnian.txt
strings_indonesian.txt
strings_laki.txt
strings_lezgi.txt
strings_lower_sorbian.txt
strings_malay.txt
strings_malayalam.txt
strings_mirandese.txt
strings_piedmontese.txt
strings_tachelhit.txt
strings_telugu.txt
strings_tunisian_arabic.txt
strings_upper_sorbian.txt

Related Changesets

MantisBT: master f5db9ef4

2018-02-21 10:09:16

siebrand

Details Diff
Update and sort supported languages

This change adds support for languages that already had translations:

'basque',
'georgian',
'luxembourgish',
'persian',
'serbian_latin',
'zazaki',

g_language_auto_map is now sorted by language name, although I don't know if that makes sense.
However, that appears to have been the way of the code ;).
Affected Issues
0024020
mod - config_defaults_inc.php Diff File

Issue History

Date Modified Username Field Change
2018-02-19 07:53 atrol New Issue
2018-02-19 07:53 atrol Status new => assigned
2018-02-19 07:53 atrol Assigned To => atrol
2018-02-19 08:32 atrol Note Added: 0058962
2018-02-19 08:32 atrol Target Version => 2.12.0
2018-02-21 14:20 atrol Changeset attached => MantisBT master f5db9ef4
2018-02-21 14:25 atrol Assigned To atrol => siebrand
2018-02-21 14:25 atrol Status assigned => resolved
2018-02-21 14:25 atrol Resolution open => fixed
2018-02-21 14:25 atrol Fixed in Version => 2.12.0
2018-03-04 00:36 vboctor Status resolved => closed